@import "../global/var";
// Dialog
md-backdrop.md-dialog-backdrop {
    z-index: $zindex-modal-background;
}
.md-dialog-container {
    z-index: $zindex-modal-background + 1; // higher than the backdrop
}
md-backdrop.md-select-backdrop, // due the bug: https://github.com/angular/material/issues/10548
.md-dialog-is-showing md-backdrop.md-select-backdrop {
    z-index: $zindex-modal-background + 2; // higher than the container
}

.ui-md-radio-group-inline {
    md-radio-button {
        display: inline-block;
        margin: 0 10px 10px;
    }
}

md-dialog {
    .md-dialog-content {
        padding: 20px;
        @media(max-width: $breakpoint-mobile - 1) {
            padding: 16px;
        }
    }
    form {
        flex-grow: 1;
    }
    md-dialog-content {
        flex-grow: 1;
    }
    md-dialog-actions {
        min-height: 66px;
        .md-button {
            margin: 0;
        }
        .md-button:not(:first-child) {
            margin-left: 12px;
        }
    }
}

// Z-index
// Menu, Select
.md-open-menu-container {
    z-index: $zindex-navbar-fixed;
}

md-menu-item {
    .md-button {
        &,
        &.md-focused:not(.md-icon-button) {
            border-radius: 0;
            font-size: 14px;
            padding-left: 16px;
            padding-right: 16px;
            max-height: unset;
            color: rgba($black, 0.87);
            font-weight: normal;
            text-transform: none;
            &._green {
                color: $green-new;
            }
            &._red {
                color: $red-new;
            }
        }
    }
    .new-label {
        color: $red-new;
        display: inline-block;
        vertical-align: top;
        margin-left: 16px;
        font-size: 80%;
        font-weight: 700;
    }
}

// Radio
md-radio-button {

    &[disabled] .md-on {
        background-color: $gray8be;
    }
}


//
md-toast {
    max-width: 600px;
    padding: 0 24px 16px 0;
    min-width: 304px;
    width: fit-content;
    &.md-left {
        left: 100%;
        transform: translate(-100%, 0);
    }
    &.md-bottom {
        right: 0;
    }
    &.md-toast-primary {
        > .md-toast-content {
            background-color: $brand-primary;
        }
    }
    /* notifications always display left */
    &.md-left {
        left: 100%;
        transform: translate(-100%, 0);
    }
    &.message-toast {
        border-radius: 4px;
        color: $white;
        &._error {
            .md-toast-content {
                background-color: $brand-danger-new;
            }
        }
        &._warning {
            .md-toast-content {
                background-color: $orange-new;
            }
        }
        &._success {
            .md-toast-content {
                background-color: $green-new;
            }
        }

        .md-toast-content {
            background-color: $blue-dark;
            color: $white;
            border-radius: 4px;
            font-weight: 500;
            box-shadow: 0px 3px 4px rgba($black, 0.05), 0px 3px 3px rgba($black, 0.08), 0px 1px 8px rgba($black, 0.14);
            .md-button {
                margin-right: 12px;
                margin-left: 6px;
                font-weight: bold;
                font-size: 12px;
                line-height: 16px;
                text-transform: uppercase;
                &:hover, &:active, &:focus {
                    background-color: transparent;
                }
                &.md-focused:not(.md-icon-button) {
                    min-width: fit-content;
                }
                &.md-focused:not(.md-icon-button):not([disable]):hover {
                    background-color: transparent;
                    color: $white;
                }
            }
            .md-highlight {
                color: #A9CFFF;
                margin-right: 0;
                &.md-focused:not(.md-icon-button):not([disable]):hover {
                    background-color: transparent;
                    color: #A9CFFF;
                }
            }
        }
    }
    @media(max-width: $screen-tablet-2) {
        left: 100%;
        transform: translate(-100%, 0);
        .md-toast-content {
            border-radius: 4px;
        }
    }
    @media(max-width: $breakpoint-mobile-small) {
        left: 0;
        transform: translate(0, 0);
        padding: 8px;
        width: 100%;
        min-width: 100%;
        &.message-toast {
            .md-toast-content {
                flex-direction: column;
                align-items: inherit;
                &::before {
                    min-height: 16px;
                }
                .md-button {
                    align-self: flex-end;
                }
                .buttons {
                    display: flex;
                    justify-content: flex-end;
                }
                .md-highlight {
                    margin: 0px;
                }
            }
        }
    }
}


// Datepicker
.md-datepicker-calendar-pane .md-datepicker-input-mask {
    width: auto;
}

// Material Toast
md-toast {
    z-index: 999999 !important;
    position: fixed !important;
}

// Tab
.md-primary {
    md-tabs-wrapper {
        md-prev-button,
        md-next-button {
            md-icon {
                color: $gray-lighter;
            }
        }
    }
}

// Porgress-bar
.md-progressbar {
    margin-bottom: 5px !important;
    height: 10px;

    > .md-container {
        background-color: $progress-bg;
        height: 10px;
        .md-bar2 {
            height: 10px;
        }
    }

    &.brand-success .md-bar2 { background-color: $brand-success; }
    &.brand-info .md-bar2 { background-color: $brand-info; }
    &.brand-warning .md-bar2 { background-color: $brand-warning; }
    &.brand-danger .md-bar2 { background-color: $brand-danger; }
    &.brand-primary .md-bar2 { background-color: $brand-primary; }
}
.progressbar-container {
    margin-bottom: 20px;
    .progress {
        margin-bottom: 5px;
    }
    .desc {
        color: $skin-gray-dark;
    }
}

//md-date-range-picker
.md-date-range-picker {
    &__calendar__selected {
        background-color: $brand-primary;
    }
    &__month-year {
        font-size: 15px;
    }
    &__templates {
        padding-top: 9px;
    }
}

//Inputs

md-input-container .md-input-messages-animation {
    position: absolute;
    top: 100%;
}

md-input-container  {
    &:not(.chips-input-container) {
        width: 100%;
        padding: 0;

        .md-input {
            max-width: 100%;
            background-color: $white;
            height: 36px;
            border-radius: 4px;
            letter-spacing: 0.1px;
            border: 1px solid rgba($dark-new, .15);
            padding-left: 12px;
            padding-right: 12px;
            transition: all .25s ease;
            font-size: 14px;
            opacity: 1;
            font-weight: normal;

            &:hover {
                border-color: rgba($dark-new, .25);
            }

            &.ng-invalid.ng-dirty {
                border-color: $brand-warning-new;
                padding-bottom: 1px;
                border-width: 1px;
            }
        }

        &._small {
            .md-input {
                height: 32px;
                padding: 4px 8px;
            }
        }

        &.md-input-invalid {
            .md-input {
                border-color: $brand-warning-new;
            }
        }

        &.md-input-has-value {
            .md-input {
                color:$dark-new;
            }
        }

        &.md-input-focused {
            .md-input {
                border: 1px solid $brand-light;
                padding-bottom: 1px;
            }
        }
        &._small.md-input-focused {
            .md-input {
                padding-bottom: 4px;
            }
        }

        &.md-default-theme,
        & {
            .md-input {
                &[disabled],
                [disabled] &, [disabled]:hover & {
                    background: rgba($dark-new, .07);
                    border-color: transparent;
                    color: rgba($dark-new, .35);
                }
            }
        }

        &:not(.md-input-has-value) {
            &.md-default-theme, &, &:hover {
                .md-input {
                    &[disabled],
                    [disabled] &, [disabled]:hover & {
                        & ~ label:not(.md-no-float):not(.md-container-ignore) {
                            color: rgba($dark-new, .35);
                        }
                    }
                    color: rgba($dark-new, .35);
                }
            }
        }


        &:hover {
            label:not(.md-no-float):not(.md-container-ignore) {
                color: rgba($dark-new, .8);
            }
        }

        .md-errors-spacer {
            min-height: 0;
            position: absolute;
            right: 0;
            bottom: -19px;
        }

        label:not(.md-no-float):not(.md-container-ignore) {
            &:hover {
                color: rgba($dark-new, .8);
                &:after {
                    color: rgba($dark-new, .8);
                }
            }
            color: rgba($dark-new, .6);
            font-size: 14px;
            letter-spacing: 0.1px;
            font-weight: normal;
            padding-left: 13px;
            transform: translate3d(0, 28px, 0) scale(1);
            &:after {
                color: rgba($dark-new, .6);
            }
        }
        &._small {
            label:not(.md-no-float):not(.md-container-ignore) {
                line-height: 24px;
            }
        }

        &.md-input-focused,
        &.md-input-has-placeholder,
        &.md-input-has-value {
            label:not(.md-no-float) {
                color: rgba($dark-new, .8);
                transform: translate3d(-10px, 0, 0) scale(.785);
            }
        }

        &._search {
            padding: 6px 0 4px;
            label:not(.md-no-float):not(.md-container-ignore) {
                transform: translate3d(0, 26px, 0) scale(1);
                @media screen and (max-width: $screen-phone) {
                    .nav-container .nav-search & {
                        font-size: 16px;
                    }
                }
            }
            .md-input {
                border-color: rgba($dark-new, .25);
            }
            md-icon {
                color: rgba($dark-new, .25);
            }
            &.md-input-focused {
                .md-input {
                    border-color: rgba($dark-new, .5);
                }
                md-icon {
                    color: rgba($dark-new, .5);
                }
            }
            &:hover {
                label:not(.md-no-float):not(.md-container-ignore) {
                    color: rgba($dark-new, .6);
                }
            }
            &.md-input-focused, & {
                label:not(.md-no-float):not(.md-container-ignore) {
                    transition: opacity .25s ease-in-out, color .25s ease-in-out;
                    padding-left: 0;
                    line-height: 1;
                }
                .md-input {
                    background-color: transparent;
                    border-width: 0 0 1px 0;
                    border-radius: 0;
                    padding-left: 0;
                    height: 26px;
                }
                md-icon {
                    font-size: 18px;
                    height: 18px;
                    width: 18px;
                    min-height: 18px;
                    min-width: 18px;
                    bottom: 5px;
                    margin: auto;
                    right: 2px;
                    left: auto;
                    transition: opacity .25s ease-in-out, color .25 ease-in-out;
                    &.input-close-icon {
                        opacity: 0;
                    }
                    &.input-search-icon {
                        opacity: 1;
                    }
                }
            }
            &.md-input-focused, &.md-input-has-value {
                label:not(.md-no-float):not(.md-container-ignore) {
                    opacity: 0;
                    transform: translate3d(0, 26px, 0) scale(1);
                }
            }
            &.md-input-has-value, &.md-input-focused.md-input-has-value {
                .input-search-icon {
                    opacity: 0;
                }
                .input-close-icon {
                    opacity: 1;
                }
            }
        }
        &._light {
            &:hover {
                label:not(.md-no-float):not(.md-container-ignore) {
                    color: rgba($white, .5);
                }
            }
            &.md-input-focused, & {
                label:not(.md-no-float):not(.md-container-ignore) {
                    color: rgba($white, .5);
                }
                .md-input {
                    color: rgba($white, .5);
                    border-color: rgba($white, .5);
                    font-weight: normal;
                }
                md-icon {
                    color: rgba($white, .5);
                }
            }

            .nav-container .nav-search & {
                md-icon {
                    right: 2px;
                    bottom: 15px;
                    @media screen and (max-width: $screen-phone) {
                        font-size: 20px;
                        min-height: 20px;
                        min-width: 20px;
                        height: 20px;
                        width: 20px;
                        bottom: 20px;
                    }
                }
                .md-input {
                    margin-bottom: 12px;
                    @media(max-width: $screen-phone) {
                        font-size: 16px;
                        padding-right: 20px;
                    }
                }
            }
        }

        &._without-animation {
            label:not(.md-no-float) {
                transition: opacity .25s ease-in-out;
            }
            &.md-input-focused,
            &.md-input-has-placeholder,
            &.md-input-has-value {
                label:not(.md-no-float) {
                    opacity: 0;
                    transform: translate3d(0, 28px, 0) scale(1);
                }
            }
        }

        &._with-icon {
            .material-icons {
                position: absolute;
                left: 12px;
                top: 50%;
                transform: translateY(-50%);
                color: #999;
                pointer-events: none;
            }
            .md-input, label:not(.md-no-float):not(.md-container-ignore) {
                padding-left: 40px;
            }
        }

        &._gray-bg {
            .md-input {
                border-color: transparent;
            }
            .md-input.ng-invalid.ng-dirty, &.md-input-invalid .md-input {
                border-color: $brand-warning-new;
            }
            &.md-input-focused {
                .md-input {
                    border: 1px solid $brand-light;
                }
            }
        }

        &._password {
            i {
                transform: translateY(75%);
            }
        }
    }
    &.chips-input-container {
        &:not(.md-input-invalid).md-input-focused md-icon {
            color: rgb(97, 97, 97);
        }
        input, md-chip {
            font-size: 14px;
        }
        .md-errors-spacer {
            min-height: 0;
        }
        .md-chips .md-chip-input-container {
            flex-grow: 1;
        }
        &._with-img {
            .md-chips .md-chip-input-container {
                margin: 13px 8px 0 0;
            }
            md-chip-template {
                display: flex;
                align-items: center;
                span {
                    margin-right: 5px;
                }
            }
            md-chips-wrap {
                min-height: 56px;
            }
        }
        md-chips-wrap {
            min-height: 48px;
            display: flex;
            flex-wrap: wrap;
        }
        &._no-label {
            &.md-input-has-placeholder label:not(.md-no-float),
            &.md-input-has-value label:not(.md-no-float) {
                display: none;
            }
        }
        &.md-input-has-placeholder label:not(.md-no-float),
        &.md-input-has-value label:not(.md-no-float) {
            transform: translate3d(0, -8px, 0) scale(1);
            font-weight: normal;
            color: $dark-new;
        }
    }
}

md-chips {
    .md-chips {
        &.md-focused {
            box-shadow: 0 1px $brand-primary;
        }
    }
}

md-checkbox {
    width: 18px;
    height: 18px;
    min-width: 18px;
    min-height: 18px;
    &:not(.md-checked) {
        .md-icon {
            border-color: $gray8be;
        }
        &:hover {
            .md-icon {
                border-color: $dark-new;
            }
        }
    }

    .md-icon,
    .md-container {
        width: 18px;
        height: 18px;
    }
    &.md-indeterminate {
        .md-icon {
            border-color: $dark-new;
            &::after {
                width: 8px;
                border-color: $dark-new;
            }
        }
        &[disabled],
        &[disabled]:hover {
            .md-icon {
                &::after {
                    border-color: $gray8be;
                }
            }
        }
    }
    &.md-checked {
        .md-ink-ripple {
            color: rgba($dark-new ,0.9);
        }
        .md-icon {
            background-color: $dark-new;
            &::after {
                left: 4px;
                top: -1px;
            }
        }
        &[disabled],
        &[disabled]:hover {
            .md-icon {
                background-color: $gray3e5;
                &::after {
                    border-color: $gray8be;
                }
            }
        }
    }
    &[disabled],
    &[disabled]:hover {
        &:not(.md-checked) .md-icon {
            border-color: $gray3e5;
        }
    }
}

md-switch {
    &.md-checked.md-primary {
        .md-bar {
            background-color: $brand-light-blue;
        }
        .md-thumb {
            background-color: $brand-light;
        }
        &:hover {
            .md-bar {
                background-color: $brand-bright-blue;
            }
        }
    }
    .md-bar {
        background-color: $gray8be;
    }
    &:hover {
        .md-bar {
            background-color: $gray57c;
        }
    }
    &[disabled] {
        &.md-checked.md-primary {
            .md-bar {
                background-color: $gray8be;
            }
            .md-thumb {
                background-color: $gray8be;
            }
            &:hover {
                .md-bar {
                    background-color: $gray8be;
                }
            }
        }
        &:hover {
            .md-bar {
                background-color: $gray8be;
            }
        }
    }
}

//SELECTS
md-input-container {
    md-select {
        margin: 0;
        &:not([disabled]) .md-select-value,
        &:not([disabled]) .md-select-value.md-select-placeholder,
        &:not([disabled]) .md-select-value .default-option-placeholder {
            color: rgba($dark-new, .6);
        }
        &:not([disabled]):focus {
            .md-select-value,
            .md-select-value.md-select-placeholder {
                color: rgba($dark-new, .6);
            }
        }
        &:not([disabled]):focus {
            &, &:hover {
                .md-select-value,
                .md-select-value.md-select-placeholder {
                    border: solid 1px $brand-primary;
                    padding-bottom: 2px;
                }
            }
        }
        md-select-value.md-select-placeholder {
            padding-left: 12px;
            color: $dark-new;
        }
        &.md-default-theme[disabled],
        &[disabled] {
            color: rgba($dark-new, .35);
            .md-select-value,
            .md-select-value.md-select-placeholder {
                border: solid 1px transparent;
                background-color: rgba($dark-new, .07);
                background-image: none;
                margin-bottom: 0;
            }
        }
        .md-select-value,
        .md-select-value.md-select-placeholder {
            width: 100%;
            font-size: 14px;
            line-height: 1.4;
            border-radius: 4px;
            border: solid 1px;
            padding: 2px 2px 2px 12px;
            border-color: rgba($dark-new, .15);
            height: 36px;
            color: rgba($dark-new, .6);
            background: $white;
            box-sizing: border-box;
            transition: .25s color ease-in-out, .25s border-color ease-in-out;
            span {
                font-weight: normal;
                &:after {
                    transition: color .25s ease-in-out;
                    color: rgba($dark-new, .6);
                }
            }
        }
        &._small {
            .md-select-value,
            .md-select-value.md-select-placeholder {
                font-size: 14px;
                line-height: 24px;
                padding: 4px 8px;
                height: 32px;
            }
        }
        &:hover:not([disabled]) {
            .md-select-value,
            .md-select-value.md-select-placeholder {
                color: rgba($dark-new, .8);
                border-color: rgba($dark-new, .25);
                span {
                    &:after {
                        color: rgba($dark-new, .8);
                    }
                }
            }
        }
    }

    &.md-input-focused, & {
        md-select,
        md-select:hover,
        md-select:not([disabled]):focus,
        md-select:not([disabled]) {
            &.ng-invalid.ng-touched .md-select-value {
                color: rgba($dark-new, .6) !important;
                border-color: $brand-warning-new;
                padding-bottom: 2px;
            }
        }
    }

    &.md-input-focused {
        &.md-input-has-value md-select:not([disabled]){
            .md-select-value , .md-select-value.md-select-placeholder {
                color: $dark-new;
                border-color: $brand-light;
            }
        }

    }
    &.md-input-has-value md-select:not([disabled]){
        .md-select-value , .md-select-value.md-select-placeholder {
            color: $dark-new;
        }
    }

    &._gray-bg:not(.md-input-focused) {
        &, & md-select:hover:not([disabled]) {
            .md-select-value, .md-select-value.md-select-placeholder {
                &, &:hover {
                    border-color: transparent;
                }
            }
        }
    }
    &.without-animation {
        label {
            display: none;
        }
        md-select {
            &.md-default-theme[disabled],
            &[disabled] {
                .md-select-value span:first-child{
                    color: transparent;
                }
            }
        }
        &.md-input-focused:not([md-no-float]) .md-select-placeholder {
            & span:first-child,  &.md-select-value span:first-child {
                transform: none;
                color: rgba($dark-new, .6);
            }
        }
    }

    &.md-input-focused:not([md-no-float]) .md-select-placeholder,
    &.md-input-focused:not([md-no-float]) .md-select-value.md-select-placeholder {
        border-color: $brand-light;
        span:first-child {
            color: rgba($dark-new, .8);
            transform: translate3d(-11px, -29px, 0) scale(0.785);
        }
    }
}

md-select-menu {
    box-shadow: 0 0 5.6px 0.4px rgba(5, 0, 0, 0.25);
    &:not(.md-overflow) {
        md-content {
            padding-top: 4px;
            padding-bottom: 4px;
        }
    }
    md-content {
        md-option {
            color: $dark-new;
            &[selected] {
                &,
                &.md-focused,
                &:hover,
                &:focus {
                    background-color: rgba($dark-new, .07);
                    color: $dark-new;
                }
            }
            &.md-focused:not([selected]):not(:hover) {
                background-color: inherit;
            }
            &:hover {
                background-color: rgba($dark-new, .07);
            }
        }
    }
    &[multiple] {
        md-option.md-checkbox-enabled {
            padding-left: 48px;
            .md-container {
                margin-left: 19px;
            }
            .md-icon,
            .md-container {
                width: 18px;
                height: 18px;
            }
            .md-icon {
                border-color: rgba($dark-new, .5);
            }
            &:hover {
                .md-icon {
                    border-color: rgba($dark-new, .9);
                }
            }
            &[selected] {
                .md-ink-ripple {
                    color: rgba($dark-new ,0.9);
                }
                .md-icon {
                    background-color: rgba($dark-new, .9);
                    &::after {
                        left: 4px;
                        top: -1px;
                    }
                }
            }
        }
    }
}

md-menu-content {
    padding: 4px 0;
}

//BUTTONS
@mixin default-button($background, $color, $hoverBg) {
    &:not([disabled]) {
        background-color: $background;
        color: $color;
        box-shadow: none;
        &:hover {
            background-color: $hoverBg;
        }
    }
}

.md-button,
.md-button.md-focused:not(.md-icon-button) {
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    border-radius: 4px;
    margin-right: 0;
    font-size: 14px;
    max-height: 36px;
    padding: 11px 12px;
    line-height: 1;
    letter-spacing: 0.4px;
    min-width: 80px;
    &._small {
        min-height: 32px;
        max-height: 32px;
        font-size: 12px;
        line-height: 16px;
        padding: 8px;

        & .material-icons {
            font-size: 16px;
            height: 16px;
            width: 16px;
            min-height: 16px;
            min-width: 16px;
        }
    }
    @include default-button(transparent, $dark-new, rgba($dark-new, .07));
    &[disabled], &[disabled]:hover {
        &.md-warn, &.md-primary {
            background-color: transparent;
            color: rgba($dark-new, 0.35);
        }
    }
    &._chips-like {
        background-color: transparent;
        letter-spacing: 0.1px;
        border-radius: 8px;
        color: $dark-new;
        font-size: 14px;
        font-weight: 500;
        border: solid 1px rgba($dark-new, .15);
        margin-bottom: 0;
        margin-left: 0;
        margin-right: 8px;
        max-height: 36px;
        height: 36px;
        line-height: 36px;
        position: relative;
        padding: 0;
        &.active {
            background-color: $dark-new;
            color: $white;
        }
    }
    &.md-primary {
        @include default-button(transparent, $brand-light, rgba($dark-new, .07));
    }
    &.md-warn {
        @include default-button(transparent, $brand-warning-new, rgba($brand-danger-new, .07));
    }
    &.md-orange {
        @include default-button($orange-new, $brand-white, $orange-dark);
        &[disabled], &[disabled]:hover {
            background-color: rgba($dark-new, .07);
            color: rgba($black, 0.35);
        }
    }
    &.md-blue {
        @include default-button($blueEFF, $black, $blueDED);
        & .material-icons {
            color: $black;
        }
    }
    &.md-raised {
        &, &:active {
            @include default-button(rgba($dark-new, .07), $dark-new, rgba($dark-new, .12));
        }
        &.md-primary {
            @include default-button($brand-light, $white, $brand-light-hover);
        }
        &.md-warn {
            @include default-button($brand-warning-new, $white, $brand-warning-dark-new);
        }
        &[disabled], &[disabled]:hover {
            background-color: rgba($dark-new, .07);
            color: rgba($black, 0.35);
        }
    }
}

.md-button {
    &__text {
        flex: auto;
        text-overflow: ellipsis;
        white-space: nowrap;
        min-width: 0;
        overflow: hidden;
    }
    &,
    &.md-focused:not(.md-icon-button) {
        &._left-icon,
        &._right-icon {
            display: inline-flex;
            align-items: center;
            padding: 0 8px;
            .material-icons,
            md-icon {
                flex: none;
            }
        }
        &._left-icon {
            .material-icons,
            md-icon {
                margin-right: 8px;
            }
        }
        &._right-icon {
            .material-icons,
            md-icon {
                margin-left: 8px;
            }
        }
        &._right-icon._left-icon {
            .material-icons,
            md-icon {
                &:first-of-type {
                    margin: 0 8px 0 0;
                }
                &:last-of-type {
                    margin: 0 0 0 8px;
                }
            }
        }
    }
}

md-dialog .md-actions, md-dialog md-dialog-actions {
    padding: 10px 20px 20px 20px;
    @media (max-width: $breakpoint-mobile - 1) {
        padding: 8px 16px 16px 16px;
    }
}

//FAB BUTTONS
.md-button.md-fab {
    &.md-fab-sm {
        &, &.md-focused {
            background-color: lightgray;
            padding: 0;
            min-width: 0;
            border-radius: 50%;
            margin-bottom: 8px;
            max-height: unset;
        }
    }
    &.md-primary {
        &, &.md-focused {
            font-size: 20px;
            color: $white;
            border-radius: 50%;
            height: 56px;
            min-height: 56px;
            width: 56px;
            min-width: 56px;
            background-color: #01a99a;
            &, &:not([disabled]) {
                &:hover {
                    background-color: $brand-light-hover;
                }
            }
            &[disabled]{
                background-color: #edeff0;
                color: rgba($black, 0.4);
                .search-fab {
                    filter: invert(0%);
                    opacity: .4;
                }
            }
            .search-fab {
                margin: auto;
                height: 20px;
                filter: invert(100%);
                width: 20px;
                &._list {
                    background: url('../assets/images/list.svg') center no-repeat;
                }
                &._checked-list {
                    background: url('../assets/images/check_list.svg') center no-repeat;
                }
            }
        }
    }
}
button {
    &.md-button {
        &.md-fab {
            md-icon {
                font-size: 16px;
                width: 16px;
                height: 16px;
                min-height: 16px;
                min-width: 16px;
            }
        }
    }
}
md-radio-button {
    &.md-checked {
        .md-off {
            border-color: $dark13a;
        }
    }
    .md-off {
        border-color: $gray8be;
    }
    .md-on {
        border-color: $dark13a;
        background-color: $dark13a;
    }
    &:hover {
        &.md-checked .md-off, .md-off {
            border-color: $dark13a;
        }
        .md-on {
            border-color: $dark13a;
            background-color: $dark13a;
        }
    }

    &.md-primary {
        &:not([disabled]).md-checked {
            .md-off {
                border-color: $white;
            }
        }
        .md-off {
            border-color: rgba($white, .25);
            &:hover {
                border-color: $white;
            }
        }

        &:not([disabled]) {
            .md-on {
                border-color: $white;
                background-color: $white;
            }
        }
    }

    &[disabled], &[disabled].md-primary,  &[disabled].md-primary.md-checked, &[disabled].md-checked {
        border-color: $gray3e5;
        .md-off {
            border-color: $gray3e5;
            &:hover {
                border-color: $gray3e5;
            }
        }
        .md-on {
            border-color: $gray3e5;
            background-color: $gray3e5;
        }
    }
}

.md-button.md-icon-button {
    md-date-range-picker &:not(._default-md-style) {
        padding: 6px;
    }
    &._default-md-style {
        max-height: unset;
    }
    &:not(._default-md-style) {
        border: none;
        background: transparent;
        width: 32px;
        height: 32px;
        min-height: 32px;
        max-height: 32px;
        max-width: 32px;
        min-width: 32px;
        padding: 0;
        border-radius: 8px;
        i.material-icons, md-icon {
            font-size: 20px;
            height: 20px;
            min-height: 20px;
            width: 20px;
            min-width: 20px;
            max-width: 20px;
            color: rgba($dark-new, .5);
            vertical-align: middle;
        }
        &._invert {
            width: 36px;
            height: 36px;
            min-height: 36px;
            max-height: 36px;
            max-width: 36px;
            min-width: 36px;
            background-color: rgba($dark-new, .5);
            i.material-icons, md-icon {
                color: $white;
                &._renew {
                    transform: rotate(90deg) scale(1, -1);
                }
            }
            &:not([disabled]):hover {
                background-color: rgba($dark-new, .6);
                i.material-icons, md-icon {
                    color: $white;
                }
            }
            &[disabled] {
                &, &:hover {
                    background-color: rgba($dark-new, 0.07);
                    i.material-icons, md-icon {
                        color: rgba($dark-new, 0.35);
                    }
                }
            }
        }
        &[disabled], &[disabled]:hover {
            background: transparent;
            i.material-icons, md-icon {
                color: rgba($dark-new, .25);
            }
        }
        @media screen and (min-width: $screen-xs + 1) {
            &:not([disabled]):hover {
                background-color: rgba($dark-new, 0.1);
                i.material-icons, md-icon {
                    color: rgba($dark-new, 0.9);
                }
            }
        }
        &._no-hover-bg {
            &:not([disabled]):hover {
                background-color: transparent;
            }
        }
    }

    .fixed-page-header-container_options & {
        i.material-icons {
            @media(max-width: $screen-phone) {
                color: rgba($white, .5)
            }
            &:not(:last-child) {
                @media(max-width: $screen-phone) {
                    margin-right: 5px;
                }
            }
            &:first-child {
                @media(max-width: $screen-phone) {
                    margin-left: 0;
                }
            }

            &:hover {
                @media(max-width: $screen-phone) {
                    color: rgba($white, 0.8);
                    opacity: 1;
                }
            }
        }
    }
}
